org.eclipse.mat.hprof

## Class HprofPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.mat.hprof.HprofPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class HprofPlugin
    extends org.eclipse.core.runtime.Plugin
    implements org.osgi.framework.BundleActivator

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HprofPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HprofPlugin` `getDefault()`
`Object` `getPreferenceStore()` Lazily load and return the preference store.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HprofPlugin

    public HprofPlugin()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### getDefault

    public static HprofPlugin getDefault()

#### getPreferenceStore

    public Object getPreferenceStore()

Lazily load and return the preference store.

Returns:
  Current preference store.